import type { Metadata } from "next";
import "./globals.css";
import { Toaster } from "react-hot-toast";
import { AuthProvider } from "@/shared/context/auth/AuthContext";

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body>
        <div>
          <Toaster position='top-right'  />
        </div>
        <AuthProvider>
          <div className='h-[100vh] w-full flex justify-center items-center bg-slate-200'>{children}</div>
        </AuthProvider>
      </body>
    </html>
  );
}
